API referenceSuppressions

Suppress an address

POST/suppressions

Adds the address to the SES account-level suppression list of the connection, then to the Stamp0 mirror.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/suppressions" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{  "object": "suppression",  "id": "string",  "email": "string",  "origin": "bounce",  "source_id": "string",  "reason": "bounce",  "source": "provider",  "connection_id": "string",  "last_event_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "targets": [    {      "connection_id": "string",      "provider": "ses",      "status": "suppressed",      "error": {        "name": "string",        "message": "string"      }    }  ]}